tbb::interface10::internal::concurrent_skip_list< Traits >::range_type Class Reference

`#include <_concurrent_skip_list_impl.h>`

Inheritance diagram for tbb::interface10::internal::concurrent_skip_list< Traits >::range_type:
Collaboration diagram for tbb::interface10::internal::concurrent_skip_list< Traits >::range_type:

## Public Types

using | iterator = typename concurrent_skip_list::iterator
Public Types inherited from tbb::interface10::internal::concurrent_skip_list< Traits >::const_range_type
using | size_type = typename concurrent_skip_list::size_type
using | value_type = typename concurrent_skip_list::value_type
using | iterator = typename concurrent_skip_list::const_iterator

## Public Member Functions

| range_type (range_type &r, split)
| range_type (const concurrent_skip_list &l)
iterator | begin () const
iterator | end () const
Public Member Functions inherited from tbb::interface10::internal::concurrent_skip_list< Traits >::const_range_type
bool | empty () const
bool | is_divisible () const
size_type | size () const
| const_range_type (const_range_type &r, split)
| const_range_type (const concurrent_skip_list &l)
iterator | begin () const
iterator | end () const
size_t | grainsize () const

## Detailed Description

### template<typename Traits>
class tbb::interface10::internal::concurrent_skip_list< Traits >::range_type

Definition at line 656 of file _concurrent_skip_list_impl.h.

## Member Typedef Documentation

## iterator

template<typename Traits >

using tbb::interface10::internal::concurrent_skip_list< Traits >::range_type::iterator = typename concurrent_skip_list::iterator

Definition at line 658 of file _concurrent_skip_list_impl.h.

## Constructor & Destructor Documentation

## range_type() [1/2]

template<typename Traits >

tbb::interface10::internal::concurrent_skip_list< Traits >::range_type::range_type | ( | range_type & | r,
|  | split |
| ) |  |

inline

Definition at line 660 of file _concurrent_skip_list_impl.h.

: const_range_type(r, split()) {}

## range_type() [2/2]

template<typename Traits >

tbb::interface10::internal::concurrent_skip_list< Traits >::range_type::range_type | ( | const concurrent_skip_list & | l | ) |

inline

Definition at line 661 of file _concurrent_skip_list_impl.h.

: const_range_type(l) {}

## Member Function Documentation

## begin()

template<typename Traits >

iterator tbb::interface10::internal::concurrent_skip_list< Traits >::range_type::begin | ( |  | ) | const

inline

Definition at line 663 of file _concurrent_skip_list_impl.h.

{
node_ptr node = const_range_type::begin().my_node_ptr;
return iterator(node);
}

References tbb::interface10::internal::concurrent_skip_list< Traits >::const_range_type::begin().

Here is the call graph for this function:

## end()

template<typename Traits >

iterator tbb::interface10::internal::concurrent_skip_list< Traits >::range_type::end | ( |  | ) | const

inline

Definition at line 668 of file _concurrent_skip_list_impl.h.

{
node_ptr node = const_range_type::end().my_node_ptr;
return iterator(node); }

References tbb::interface10::internal::concurrent_skip_list< Traits >::const_range_type::end().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- _concurrent_skip_list_impl.h

tbb::interface10::internal::concurrent_skip_list::node_ptr
list_node_type * node_ptr
Definition: _concurrent_skip_list_impl.h:247
tbb::interface10::internal::concurrent_skip_list::range_type::iterator
typename concurrent_skip_list::iterator iterator
Definition: _concurrent_skip_list_impl.h:658
tbb::interface10::internal::concurrent_skip_list::const_range_type::begin
iterator begin() const
Definition: _concurrent_skip_list_impl.h:650
tbb::interface10::internal::concurrent_skip_list::const_range_type::end
iterator end() const
Definition: _concurrent_skip_list_impl.h:651
tbb::interface10::internal::concurrent_skip_list::const_range_type::const_range_type
const_range_type(const_range_type &r, split)
Definition: _concurrent_skip_list_impl.h:640

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.